Ext.CategoriesController = Ext.extend(Ext.MerchantController, {
    tabSelected:function(catObj){
        if(!this.notFirst){
            this.notFirst = true;
            this.index({});
        }
    },
    index: function(catObj) {
        if(!this.categoriesView) {
            this.categoriesView = this.application.viewport.getComponent('categories-panel');
        }
		
        if(this.application.viewport.getActiveItem() != this.categoriesView) {
            this.application.setActiveItem('categories-panel');
        }
			
        console.log('Categories cintroller >> index action');
        if(!this.categoriesStore) {
            console.log('categories store is null');
            this.categoriesStore = new Ext.data.Store({
                model:'Category',
                data:[{
                    id:1,
                    name:'DINING'
                },

                {
                    id:2,
                    name:'SHOPPING'
                },

                {
                    id:3,
                    name:'SERVICE'
                },

                {
                    id:4,
                    name:'ENTERTAINMENT'
                },

                {
                    id:5,
                    name:'GROCERIES'
                }],
            });
        }
		
        if(!this.categoriesIndexPanel) {
            this.categoriesList = new Ext.DataView({
                store:this.categoriesStore,
                tpl:'<tpl for="."><div class="category"><h1>{name}</h1></div></tpl>',
                itemSelector:".category",
                componentCls:'categories',
                listeners:{
                    itemtap:function(list, index, item){
                        console.log(this);
                        this.showCategory({
                            selectedCat:list.store.getAt(index).data,
                            animation:{
                                type:'slide',
                                direction:'left'
                            }
                        })
                },
                scope:this
            }
            });
			
        this.categoriesIndexPanel = {
            xtype:'categories-index',
            itemId:'categories-index',
            items:[this.categoriesList],
				
            listeners:{
                deactivate:function(item){
                    console.log('destroying categories panel');
                    this.categoriesIndexPanel=null;
                    item.destroy();
                },
                scope:this
            }
        };
        this.categoriesView.add(this.categoriesIndexPanel);
    }
    this.categoriesView.doLayout();
    this.categoriesView.setActiveItem('categories-index',(catObj.animation?catObj.animation:null));
		
},


showCategory: function(catObj) {
    this.action = 'showCategory';
    if(!this.categoriesView) {
        this.categoriesView = this.application.viewport.getComponent('categories-panel');
    }
			
    if(this.application.viewport.getActiveItem() != this.categoriesView) {
        this.application.viewport.setActiveItem('categories-panel');
    }
		
    if(!this.selectedCat) {
        this.selectedCat = catObj.selectedCat
    }
    else
    {
        if(this.selectedCat.id != catObj.selectedCat.id) {
            this.selectedCat=catObj.selectedCat;
            this.reload = true;
        }
        else {
            this.reload = false;
        }
    }
		
    if(!this.merchantsStore){
        this.merchantsStore = new Ext.data.Store({
            model:'Merchant',
            autoLoad:true,
            proxy: {
                type:'ajax',
                url:host+'CategoryResponder.php',
                extraParams:{
                    sUUID:UUID,
                    secID:this.selectedCat.id,
                },
                reader:{
                    type:'json'
                }
            }
        });
    }
    else if (this.reload || this.merchantsStore.getCount()==0) {
        console.log('reloading cat store fr ' + this.selectedCat.id);
        this.merchantsStore.proxy.extraParams.secID = this.selectedCat.id;
        this.merchantsStore.load();
    }
		
    if(!this.categoryPanel ) {
        console.log('cat merchants list is null');
        this.merchantList = {
            xtype:'merchants-list',
            store:this.merchantsStore,
            listeners: {
                scope:this,
                itemtap:function(catObj,index,item) {
                    this.action = 'showCategory';
                    this.couponsList({
                        merchant:catObj.store.getAt(index).data,
                        back:[{
                            controller:'categories',
                            action:'showCategory'
                        }],
                        selectedCat:this.selectedCat,
                        animation:{
                            type:'slide',
                            direction:'left'
                        }
                    });
                }
            }
        };
			
        this.categoryPanel = new Band.views.CategoryView({
            // xtype:'category-view',
            itemId:'category-view',
            selectedCat:this.selectedCat,
            listeners:{
                scope:this,
                deactivate:function(item){
                    console.log('destroying cat merchants list list');
                    item.destroy();
                    this.categoryPanel=null;
                }
            },
            items:[this.merchantList]
        })
			
        this.categoryPanel.query('#back')[0]
        .on('tap',
            function(item) {
                this.index({
                    selectedCat:this.selectedCat,
                    animation: {
                        type:'slide',
                        direction:'right'
                    }
                });
            },
            this );
			
        // this.merchantList.refresh();
        this.categoriesView.add(this.categoryPanel);
        this.categoriesView.doLayout();
        this.categoriesView.setActiveItem('category-view',(catObj.animation?catObj.animation:null));
    }  // end if(!this.categoryPanel )
  }	// end showCategory
}   // end of 2nd argument to Ext.extend. These are the methods that extend the first argument (Ext.MerchantList)
);  // end of Ext.CategoriesController


Ext.regController("categories", new Ext.CategoriesController());

