Ext.SearchController = Ext.extend(Ext.MerchantController, {	
	doSearch:function(searchObj){
		console.log('search controller');
		this.action = 'doSearch';
		if(!this.searchStore){
			this.searchStore = new Ext.data.Store({
				model:'Search',
				autoLoad:true,
				proxy:{
					type:'ajax',
					url:host+'SearchResponder.php',
					extraParams:{
						sUUID:UUID,
						Latitude:lat,
						Longitude:lng,
						searchString:searchObj.text
					},
					actionMethods: {
					            create : 'POST',
					            read   : 'POST',
					            update : 'POST',
					            destroy: 'POST'
					        },
					reader:{type:'json', total:'1'}
				}
			});
		}
		else{//the store is already exists, then just change the extra params and reload
			if(searchObj.text){
				this.searchStore.proxy.extraParams.searchString = searchObj.text;
				console.log('new search reloading search store: ' + searchObj.text);
				this.searchStore.load();
			}
		}
		
		if(!this.searchList){
			this.searchList = new this.application.views.MerchantList({
				itemId:'search-list',
				xtype:'merchants-list',
				store:this.searchStore,
				listeners:{
					scope:this,
					deactivate:function(item){
						console.log('destroying search list');
						item.destroy();
						this.searchList=null;
					},
					itemtap:function(list,index,item){
						this.couponsList({
							merchant:list.store.getAt(index).data,
							back:[{controller:'search', action:'doSearch'}],
							text:searchObj.text,
							animation:{type:'slide',direction:'left'}
						})
					}
				}
			});
			this.searchList.tpl.doPaging = false;
			this.application.viewport.getComponent('search-panel').add(this.searchList);
			this.application.viewport.getComponent('search-panel').doLayout();
			this.application.viewport.getComponent('search-panel').setActiveItem('search-list',(searchObj.animation?searchObj.animation:null));
			
		}else{
			this.searchList.update('');
			this.searchList.refresh();
		}
		this.application.viewport.setActiveItem('search-panel')
	},
	
	clearSearch:function(searchObj){
		this.application.viewport.getComponent('search-panel').removeAll(true);
		if(this.searchList){
			
			this.searchList=null;
			this.searchStore = null;
		}
	}
}  // end of 2nd argument to Ext.extend. These are the methods that extend the first argument (Ext.MerchantList)
); // end of Ext.SearchController

Ext.regController("search", new Ext.SearchController());
