/**
 * @class Band.views.FirstStageTimer
 * @extends Ext.Panel
 * First Stage of counting down 24h
 */
Band.views.FirstStageTimer = Ext.extend(Ext.Panel, {

    layout:{
		type:'vbox',
		align:'stretch'
	},scroll:'vertical',
	
    initComponent: function() {
		this.dockedItems = [
			{
				xtype:'toolbar',
				 title:'Active Deal',
			}
		];
		
		var thisPanel = this;
        this.merchantPanel = new Ext.Panel({
			layout:'fit',
			tpl:Band.templates.merchantItem,
			data:this.merchant,
			listeners:{
				body:{
					tap:function(item){console.log('tappppppppppp');console.log(this);
						var obj1={};
						obj1.controller = 'merchant';
						obj1.action = 'details';
						obj1.merchant = thisPanel.merchant;
						obj1.animation={type:'slide',direction:'left'};
						obj1.back=[{controller:'coupon', action:'index'}],
						setTimeout(Ext.dispatch(obj1),0);
					}
				}
			}
		});
		
		this.timer = new Ext.Panel({
			layout:{
				type:'vbox',
				align:'center',
			},
			items:[{
				html:'THIS DEALS EXPIRES IN:'
			},{
				id:'clock24',html:'24:00:00:00'
			}]
		});
		
		this.redeem = new Ext.Panel({
			layout:{
				type:'vbox',
				align:'center',
			},flex:1,
			items:[{
				html:'ONLY REDEEM AT TIME OF PURCHASE'
			},{
				xtype:'button', ui:'confirm', id:'btnRedeem',text:'REDEEM'
			},
			{xtype:'panel', data:this.coupon, layout:'fit', 
				tpl:'<div class="coupond-description" >{offer}<BR/><BR/><p class="restrictions">{restrict}</p></div>'}
			]
		});
		
		this.items = [this.merchantPanel,this.timer, this.redeem];
       
        Band.views.FirstStageTimer.superclass.initComponent.apply(this, arguments);
    }
});

Ext.reg('first-stage-timer', Band.views.FirstStageTimer);