/**
 * @class Band.views.CouponView
 * @extends Ext.Panel
 * Panel shows coupon and let user steal it
 */
Band.views.CouponView = Ext.extend(Ext.Panel, {
	cls:'coupon-view',
    layout:{
		type:'fit',
//		align:'stretch'
	},
	scroll:'vertical',
	listeners:{
		deactivate:function(item){
			console.log('distroying coupon details panel');
			item.destroy();
		}
	},
  
  initComponent: function() {
  	this.dockedItems = Band.views.createFavoritesToolBar.call(this, {title: '', backButtonPrefix: 'back-coupon',  backButtonTitle: this.merchant.busname});

		this.tpl = new Ext.XTemplate(
					'<div class="merchant">',
								'<img class="logo" src="{logo}"/>',
								'<div class="content">',
									'<h2 class="busname">{busname}</h2>',
									'<p class="locText">{address} {city} {prov}</p>',
									'<div class="footer"><span class="offer-title">{[this.getCouponTitle(values.title)]}</span> </div>',
								'</div>',
					'<br class="clear"/></div>',
					'<div class="steal-it"><p>GUARANTEE THIS DEAL FOR 24HRS</p>',
					'<div class="btn-steal-it" type="button" value="Steal it">0</div>',
					'</div>',
					'<div class="coupond-description" >{offer}<BR/><BR/><p class="restrictions">{restrict}</p></div>',
					{
						compiled:true,
						getCouponTitle: function(title){console.log(title);
							if(title == "BUY ONE GET ONE FREE" ) 
								return "BOGO FREE";
							if(title=="BUY ONE GET ONE 50% OFF"){
							    return "BOGO 50% OFF";
							}
							if(title=="BUY 2 GET THIRD FREE"){
							    return "BUY 2 GET 3RD FREE";
							}
							if(title=="CLOSING OUR DOORS SALE"){
							    return "CLOSING OUR DOORS";
							}
							return title + ' DEAL';
						},

					}
				);
		
        Band.views.CouponView.superclass.initComponent.apply(this, arguments);
    }
});

Ext.reg('coupon-view', Band.views.CouponView);