/**
 * @class Band.views.DirectionView
 * @extends Ext.Panel
 * Showing Directions to bisness using google maps api
 */
Band.views.DirectionView = Ext.extend(Ext.Panel, {
	layout:{
		type:'fit',
	},
	listeners:{
		deactivate:function(item){
			console.log('distroying directions panel');
			item.destroy();
		}
	},
    initComponent: function() {
        this.dockedItems = [
			{
				xtype:'toolbar',
				// title:'Coupon List',
				items:[{
						xtype:'button',
						ui:'back',
						text:this.merchant.busname,
						itemId:'back-directions-'+this.controller,
					}
				]
			}
		];
        var directionsMap = new Ext.Map({
            mapOptions : {
                center : this.position,  //nearby San Fran
                zoom : 12,
                navigationControl: true
			}
        });

		directionsMap.on('maprender',function(item){
			console.log(item);
			var directionDisplay;
			var directionsService = new google.maps.DirectionsService();
			var map = directionsMap.map;

			directionsDisplay = new google.maps.DirectionsRenderer();

		  	directionsDisplay.setMap(map);

	  		var request = {
	    		origin:this.origin,
	    		destination:this.destination,
	    		travelMode: google.maps.TravelMode.DRIVING
	  		};
	  		directionsService.route(request, function(result, status) {
	    		if (status == google.maps.DirectionsStatus.OK) {
	      			directionsDisplay.setDirections(result);
	    		}
	  		});
		},
		this	//scope
			
			
			
		);
		
		this.items=[directionsMap];
		
        Band.views.DirectionView.superclass.initComponent.apply(this, arguments);
    }
});

Ext.reg('direction-view', Band.views.DirectionView);