Band.views.SearchToolbar = /**
 * @class Band.views.SearchToolbar
 * @extends Ext.Panel
 * The main panel for the search tab
 */
Band.views.SearchToolbar = Ext.extend(Ext.Toolbar, {

    initComponent: function() {
	
		this.searchField = {
				xtype:'searchfield',
				itemId:'search-field',
				placeHolder:'Search',
				name:'search',
				width:'60%',//this value can be changed based on the platform
				listeners:{
					action:function(obj){
						console.log(obj.getValue());
						if(obj.getValue()){
							Ext.dispatch({
								controller:'search',
								action:'doSearch',
								text:obj.getValue()
							});
						}
					}
				}
			};
		
		this.confirmButton = 	{
				xtype:'button',
				itemId:'search-saerch',
				ui:'confirm',
				text:'Go',
				handler:function(obj){
					if(this.ownerCt.getComponent('search-field').getValue()){
							Ext.dispatch({
								controller:'search',
								action:'doSearch',
								text:this.ownerCt.getComponent('search-field').getValue()
							});
					}
				}
			};
		this.clearButton = {
				xtype:'button',
				itemId:'search-clear',
				text:'Clear',
				handler:function(obj){
					this.ownerCt.getComponent('search-field').setValue('');
					Ext.dispatch({
						controller:'search',
						action:'clearSearch'
					});
				}
			};
	
		this.items = [
			this.searchField,{xtype:'spacer'},this.confirmButton,this.clearButton
			];
		
        Ext.applyIf(this, {
            
        });
        
        Band.views.SearchToolbar.superclass.initComponent.apply(this, arguments);
    }
});

Ext.reg('search-index', Band.views.SearchToolbar);