/**
 * @class Band.Viewport
 * @extends Ext.Panel
 * This is a default generated class which would usually be used to initialize your application's
 * main viewport. By default this is simply a welcome screen that tells you that the app was 
 * generated correctly.
 */
Band.Viewport = Ext.extend(Ext.TabPanel, {
    id        : 'viewport',
    //layout    : 'card',
    fullscreen: true,

    initComponent: function() {

        Ext.apply(this, {
            
			tabBar: {
		        dock: 'bottom',
		        ui: 'light',
		        layout: {
		            pack: 'center'
		        }
		    },
		    cardSwitchAnimation: {
		        type: 'slide',
		        cover: true
		    },
		    
			items:[
				{
					xtype:'panel',
					itemId:'nearby-panel',
					title:'Nearby',
					iconCls:'nearby',				// REB .nearby in styles.css
					layout:{
						type:'card'
					},
					items:[new Band.views.NearbyIndex({itemId:'nearby-index'})]
				},{
					xtype:'panel',
					itemId:'categories-panel',
					title:'Categories',			// REB	corrected spelling
					iconCls:'categories',		// REB .categories in styles.css
					layout:{
						type:'card'
					},
					listeners:{
						activate:function(item){
							console.log('CtegoriesPanel Activated');
							Ext.dispatch({
								controller:'categories',
								action:'tabSelected'
							})
						},
						
					}
					//items:[new Band.views.CategoriesIndex({itemId:'categories-index'})]
				},
				{
					xtype:'panel',
					itemId:'fav-panel',
					title:'Favorites',
					iconCls:'favorites',				// REB .favorites in styles.css
					layout:{
						type:'card'
					},
					listeners:{
						activate:function(item){
							Ext.dispatch({
								controller:'favorites',
								action:'tabSelected'
							})
						},
						deactivate:function(item){
							item.removeAll(true);
							console.log('destroying fav');
						}
					},
					items:[]
				},
				{
					xtype:'panel',
					itemId:'mydeal-panel',
					title:'My Deal',
					iconCls:'mydeal',				// REB .mydeal in styles.css
					layout:{
						type:'card'
					},
					//dockedItems:[new Band.views.SearchToolbar({id:'search-toolbar'})],
					items:[],
					listeners:{
						activate:function(item){
							Ext.dispatch({
								controller:'coupon',
								action:'index'
							})
						},
						deactivate:function(item){
							//clearInterval(TickTimer);
							// TickTimer='';
							item.removeAll(true);
						}
					}
				},
				{
					xtype:'panel',
					itemId:'search-panel',
					title:'Search',
					iconCls:'search',			// REB: .search in styles.css
					layout:{
						type:'card'
					},
					dockedItems:[new Band.views.SearchToolbar({id:'search-toolbar'})],
					items:[]
				},{
					xtype:'panel',
					itemId:'settings-panel',
					title:'Settings',
					iconCls:'settings',
					layout:{
						type:'card'
					},
					listeners:{
						
						/*activate:function(item){
													console.log(item);
													console.log('setttingggsss');
													//item.add();
													this.setActiveItem('settings-panel');
													item.setActiveItem(0);
												},scope:this,
												deactivate:function(item){
													console.log('destroying settings panel');
													item.removeAll();
												}*/
						
					},
					items:[new Band.views.SettingsIndex({itemId:'settings-index'})]
					/*
					items:[{
											xtype:'settings-index',
											
										}]*/
					
				}
			]
        });

        Band.Viewport.superclass.initComponent.apply(this, arguments);
    }

});

