/**
 * @class Band.views.MerchantCouponsList
 * @extends Ext.Panel
 * Merchant's coupons list
 */
Band.views.MerchantCouponsList = Ext.extend(Ext.Panel, {
	layout:{
		type:'vbox',
		align:'stretch'
	},
	
	scroll:'vertical',
  
  initComponent: function() {
  	// create top tool bar
  	this.dockedItems = Band.views.createFavoritesToolBar.call(this, {title: 'Coupon List', backButtonPrefix: 'back-merchant-coupons',  backButtonTitle: 'back'});

		var thisPanel = this;
    
    // create panel for merchant information (business name, etc.)
    this.merchantPanel = new Ext.Panel( {
			layout:'fit',
			itemId:'merchant-panel',
			tpl:new Ext.XTemplate(
				'<div class="merchant">',
							'<img class="logo" src="{[this.getLogo(values.logo,values.slogo)]}"/>',
							'<div class="content">',
								'<h2 class="busname">{busname}</h2>',
								'<p class="locText">{address} {city} {prov}</p>',
								'<div class="footer"><span class="dist">{[getDistance(values.distance)]}</span></div>',
							'</div>',
				'<br class="clear"/></div>',
				{
					compiled:true,
					getLogo: function(logo,slogo){//This component might used to display the esearch result which has image as slogo label in json result (Should modify search php)
						if(logo) {
							return logo;
						}
						else {
						  return slogo;
						}
					}
				}),			// end of new Ext.XTemplate
				data: this.merchant
		});
		
		// create list of coupons
		this.couponsList = new Ext.DataView( {
			emptyText:'Sorry No COUPONS!',
			autoHeight:true,
		  multiSelect: false,
			baseCls:'coupons-list',
			scroll:false,
		  itemSelector:'div.coupon-item',
			tpl: Band.templates.couponsList,   // see apps/templates/Merchants.js
			store:this.couponsStore
		});
		
		this.on('deactivate',function(obj){console.log('destroying coupons list'); obj.destroy()});
		
		this.items = [this.merchantPanel,this.couponsList];
		
    Band.views.MerchantCouponsList.superclass.initComponent.apply(this, arguments);
  }
});

Ext.reg('merchant-coupons-list', Band.views.MerchantCouponsList);