// function used by my deal tab to count down 

function toClockText(xDuration) {
    iHourRemainder = (xDuration%3600000);
    iHour = (xDuration-iHourRemainder)/3600000;
    if(iHour<10){
        iHour = '0' + iHour;
    }
    iMinuteRemainder = (iHourRemainder%60000);
    iMinute = (iHourRemainder - iMinuteRemainder)/60000;
    if(iMinute<10){
        iMinute = '0' + iMinute;
    }
    iSecondRemainder = (iMinuteRemainder%1000);
    iSecond = (iMinuteRemainder - iSecondRemainder)/1000;
    if(iSecond<10){
        iSecond = '0' + iSecond;
    }
    sTenths = (((xDuration % 3600000) % 60000)%1000)/100;
    sTenths = Math.round(sTenths);
    sHundredths =((((xDuration % 3600000) % 60000)%1000)%100)/10;
    return iHour + ':' + iMinute + ':' + iSecond + ':' + sTenths + sHundredths;
}


function getDistance(lat1, lng1, lat2, lng2){
	var R = 6371; // km
	var dLat = (lat2-lat1) * 180 / Math.PI;
	var dLon = (lon2-lon1).toRad();
	var lat1 = lat1 * 180 / Math.PI;
	var lat2 = lat2 * 180 / Math.PI;

	var a = Math.sin(dLat/2) * Math.sin(dLat/2) +
	        Math.sin(dLon/2) * Math.sin(dLon/2) * Math.cos(lat1) * Math.cos(lat2); 
	var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a)); 
	var d = R * c;
	return d;
}

function getDistance(dis){
	return (dis < 100 ? dis+' KM' : 'N/A');
}

Band.checkForOverwrite = function(merchantObj) {
   var MB = Ext.MessageBox;
   
   Ext.apply(MB, {
	    YES: { 
         text: 'OK', 
	    	 itemId: 'yes', 
	    	 ui: 'action' 
	    },
			NO: { 
		     text: 'Dont Do It', 
				 itemId: 
				 'no' 
		  }
	 });
			
   Ext.apply(MB, {
      YESNO: [
         MB.NO, 
         MB.YES
      ]
   });
			
   (new Ext.MessageBox()).confirm('Confirm Activation','If you continue with this action you will overwrite and lose your currently activated Offer.', 
      function(e){
         if(e == 'yes'){
      	   console.log(e);
           setTimeout(function() {Band.setAndUpdateActiveCoupon(merchantObj);},0);
         }
		  });
};

Band.setAndUpdateActiveCoupon = function(merchantObj){
   var MB = Ext.MessageBox;
   
   Ext.apply(MB, {
	    YES: { 
	    	text: 'OK', 
	    	itemId: 'yes', 
	    	ui: 'action' 
	    },
			NO: { 
				text: 'Not now', 
				itemId: 'no' 
			}
	 });
	 
	 Ext.apply(MB, {
					YESNO: [
             MB.NO, 
             MB.YES
          ]
   });
			
   (new Ext.MessageBox()).confirm('You have stolen a deal!','You have 24 hours to go to this location and REDEEM this deal before it expires.', 
			function(e){
         console.log(e);
         if(e == 'yes'){
            localStorage.setItem('activeMerchant',Ext.util.JSON.encode(merchantObj.merchant));
            localStorage.setItem('activeCoupon',Ext.util.JSON.encode(merchantObj.coupon));
            localStorage.setItem('ActiveCouponID', merchantObj.coupon.id);
            localStorage.setItem('ActiveRedeemCode',merchantObj.coupon.redeem);
            localStorage.setItem('iActiveLoc',merchantObj.merchant.locid);
					  localStorage.setItem('Activating', true);

					  Ext.dispatch({
						  controller:'coupon',
						  action:'index'
					  });
				 }
			},
			this);
};				
